package com.futu.course.user.service;

import com.futu.course.user.domain.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.futu.course.user.dto.TokenDto;
import com.futu.course.user.dto.UserDTO;
import com.futu.course.user.dto.UserLoginDto;
import com.futu.course.common.entity.R;


/**
* @author yuu
* @description 针对表【user(用户表)】的数据库操作Service
* @createDate 2025-05-05 18:52:53
*/
public interface UserService extends IService<User> {

    R appLogin(UserDTO dto);

    R logout(UserDTO dto);

    R login(UserLoginDto dto) throws InterruptedException;

    R getLoginUser(TokenDto token);


}
